Package org.apache.sysds.runtime.iogen

# Class MappingTrieNode

java.lang.Object
org.apache.sysds.runtime.iogen.MappingTrieNode

public class MappingTrieNode extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`MappingTrieNode.Type`

## Constructor Summary

Constructors
Constructor
Description
`MappingTrieNode()`
`MappingTrieNode(MappingTrieNode.Type nodeType)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRowIndex(int rowIndex)`
`void`
`addRowIndex(ArrayList<Integer> rowIndexes)`
`Map<String,MappingTrieNode>`
`getChildren()`
`MappingTrieNode.Type`
`getNodeType()`
`ArrayList<Integer>`
`getRowIndexes()`
`void`
`setChildren(Map<String,MappingTrieNode> children)`
`void`
`setNodeType(MappingTrieNode.Type nodeType)`
`void`
`setRowIndexes(ArrayList<Integer> rowIndexes)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MappingTrieNode

public MappingTrieNode(MappingTrieNode.Type nodeType)

### MappingTrieNode

public MappingTrieNode()

## Method Details

### getChildren

public Map<String,MappingTrieNode> getChildren()

### setChildren

public void setChildren(Map<String,MappingTrieNode> children)

### getNodeType

public MappingTrieNode.Type getNodeType()

### setNodeType

public void setNodeType(MappingTrieNode.Type nodeType)

### addRowIndex

public void addRowIndex(int rowIndex)

### addRowIndex

public void addRowIndex(ArrayList<Integer> rowIndexes)

### setRowIndexes

public void setRowIndexes(ArrayList<Integer> rowIndexes)

### getRowIndexes

public ArrayList<Integer> getRowIndexes()